-- create teams table with required header then import data from csv file.
CREATE TABLE teams(
division VARCHAR(255),
conference VARCHAR(255),
school_name VARCHAR(255),
roster_url VARCHAR(512),
id INT PRIMARY KEY);

-- create player table
CREATE TABLE players (
full_school_name VARCHAR(255),
school_name VARCHAR(255),
player_name VARCHAR(255),
position VARCHAR(255),
height FLOAT,
weight FLOAT,
year VARCHAR(255),
home_town VARCHAR(255),
state VARCHAR(255),
id INT PRIMARY KEY);

select * from teams;

-- join is same as inner join
select teams.conference, players.height
from players 
join teams 
on teams.school_name = players.school_name 
where players.height < 80
group by teams.conference,players.height; 

select * from players;

select year,
height,
count(height) as height_count
from players
group by year, height
order by year desc, height desc;

select players.school_name,
teams.school_name
from players
join teams
on players.school_name = teams.school_name
order by players.weight;

-- this is a comment
select players.player_name,
players.school_name,
teams.conference,
teams.division
from players
inner join teams
on players.school_name = teams.school_name
where teams.division = 'FBS (Division I-A Teams)';

